import type { Accomplishment } from './types';

export const qiDescription =
	'As a Full Stack Developer at Quantified Impacts I have touched every part of our code, from infrastructure and CI/CD to our Frontend in react/typescript and our backend in Django/Python. I am fast at learning new things, and now to tackle challenges, and come up with fast, durable and scaleable solutions. When we need to research or develop POCs for new features, I am often assigned the lead for these tasks. ';

export const qiAccomplish: Accomplishment[] = [
	{
		title: 'Planned and facilitated maturation of infrastructure.',
		description:
			'When I started with Quantified Impacts we had our application running in two container apps, and a postgresql db, which was all exposed to the world wide web. I planned out our new infrastructure and hired a consultant to do the initial implementation in terraform, securing all services in virtual networks, connected with private end-points	and accesible only through Azure Frontdoor. This is all declared using Terraform, so we	can easily spin up another environment.',
		tags: ['Terraform', 'Azure']
	},
	{
		title: 'Implemented CI/CD Pipeline',
		description:
			"As we're a small team that wants to get our newest features out to our users as fast as possible, I set up a build and release pipeline using github actions.",
		tags: ['Github Actions', 'Azure']
	},
	{
		title: 'External API v1',
		description:
			'I built our initial external api as an application in our Django backend. It is used by our largest clients, who are making hundreds of thousands requests overnight. The API has full test coverage of unit tests and End2End tests written i pytest.',
		tags: ['Python', 'Django', 'REST']
	},
	{
		title: 'Redesign of our datamodels and database',
		description:
			'In January started planning a big rewrite of our backend and data models, to facilitate millions of carbon footprint calculations, storing calculation parameters, history and changelog for all objects.',
		tags: ['Postgresql', 'Django', 'Python']
	},
	{
		title: 'Migration of frontend to React Router 7 framework and SSR',
		description:
			'After a big rewrite of our backend, we decided to move to the newest version of React	Router and use it as framework, which required an almost full rewrite of our frontend. While rewriting the frontend we also adopted Shadcn for ui components and tailwindcss for styling.',
		tags: ['React Router', 'React', 'typescript', 'Tailwind']
	},
	{
		title: 'External API v2',
		description:
			'The second iteration of our external API is written in FastAPI for fast development speed, and better performance compared to Django.',
		tags: ['FastAPI', 'Pydantic', 'Python', 'REST']
	},
	{
		title: 'Data fetching service from OKOBAUDAT',
		description:
			'A container job (Cron job) that fetches thousands of EPD reports from OKOBAUDAT every night, transform them to fit our data models, and inserts or update them in our database. The service is written in Golang.',
		tags: ['Golang', 'Azure', 'Cron Jobs']
	}
];
